set background=dark
hi clear
if exists("syntax_on")
  syntax reset
endif
let g:colors_name = "foxik"
hi Comment      term=italic       ctermfg=yellow                            guifg=yellow
hi Constant     term=underline    ctermfg=lightblue                         guifg=lightblue
hi DiffAdd      term=reverse      ctermfg=black ctermbg=darkgreen           guifg=black guibg=green
hi DiffChange   term=underline    cterm=underline ctermbg=none              gui=underline guibg=black
hi DiffDelete   term=standout     ctermfg=black ctermbg=darkred             guifg=black guibg=red
hi DiffText                       ctermfg=black ctermbg=yellow              guifg=black guibg=yellow
hi Error        term=reverse,bold ctermbg=red                               guibg=red
hi Folded                         ctermfg=darkgreen ctermbg=black           guifg=darkgreen guibg=black
hi Function     term=standout     ctermfg=darkgreen                         guifg=darkgreen
hi Identifier   term=underline    ctermfg=darkcyan                          guifg=darkcyan
hi Ignore                         ctermfg=lightgreen                        guifg=lightgreen
hi Search                         ctermbg=yellow                            guibg=yellow
hi IncSearch                      ctermfg=green                             guifg=green
hi LineNr       term=bold         ctermfg=green                             guifg=green
hi ModeMsg      term=bold         cterm=bold                                gui=bold
hi Normal                         ctermfg=white                             guifg=white guibg=black
hi NonText                        ctermfg=darkcyan                          guifg=darkcyan
hi PreProc      term=standout     ctermfg=red                               guifg=red
hi Question     term=standout     ctermfg=red                               guifg=red
hi Special      term=bold         ctermfg=green                             guifg=green
hi Statement    term=standout     ctermfg=darkred                           guifg=darkred
hi StatusLine   term=reverse      cterm=reverse ctermfg=white ctermbg=black gui=reverse guifg=white guibg=black
hi StatusLineNC term=reverse      cterm=reverse ctermfg=gray ctermbg=black  gui=reverse guifg=gray guibg=black
hi TabLine      term=reverse      cterm=reverse ctermfg=darkblue ctermbg=white gui=reverse guifg=darkblue guibg=white
hi TabLineFill  term=reverse      cterm=reverse ctermfg=darkblue ctermbg=white gui=reverse guifg=darkblue guibg=white
hi TabLineSel   term=none         ctermfg=white ctermbg=black               guifg=white guibg=black
hi Title        term=reverse      ctermfg=black ctermbg=green               guifg=black guibg=green
hi Type         term=standout     ctermfg=darkgreen                         guifg=darkgreen
hi Visual       term=reverse      ctermbg=darkblue                          guibg=darkblue
hi WildMenu     term=reverse      ctermfg=black ctermbg=darkgreen           guifg=black guibg=darkgreen

" ------------------------------------------------------------------------------
" Common groups that link to other highlighting definitions.

hi link Character		Constant
hi link Number			Constant
hi link Boolean			Constant
hi link String			Constant

hi link FoldColumn      Folded

hi link Search			IncSearch

hi link Debug			Error
hi link ErrorMsg    	Error
hi link WarningMsg		Error
hi link Todo        	Error

hi link Operator		LineNr

hi link Float			Number

hi link Define			PreProc
hi link Include			PreProc
hi link Macro			PreProc
hi link PreCondit		PreProc

hi link Repeat			Question

hi link Conditional		Repeat

hi link Delimiter		Special
hi link SpecialChar		Special
hi link SpecialComment 	Special
hi link SpecialKey		Special
hi link Tag				Special

hi link Exception		Statement
hi link Keyword			Statement
hi link Label			Statement

hi link StorageClass	Type
hi link Structure		Type
hi link Typedef			Type

hi link VisualNOS       Visual

hi link VertSplit    	WildMenu
" ------------------------------------------------------------------------------
" vim: tw=0 ts=4 sw=4
